include pug-variables/_vars
include pug-mixins/_mixins
include helpers/_debug
//-
include grid/_doctype
head
	title (2) Главная - 1 экран | main.html
	include grid/_inc_meta
	include grid/_inc_head2
	//
	link(rel="preload", href="img/animation/4_0001.png", as="image")
	link(rel="preload", href="img/animation/4_0002.png", as="image")
	link(rel="preload", href="img/animation/4_0003.png", as="image")
	link(rel="preload", href="img/animation/4_0004.png", as="image")
	link(rel="preload", href="img/animation/4_0005.png", as="image")
	link(rel="preload", href="img/animation/4_0006.png", as="image")
	link(rel="preload", href="img/animation/4_0007.png", as="image")
	link(rel="preload", href="img/animation/4_0008.png", as="image")
	link(rel="preload", href="img/animation/4_0009.png", as="image")
	link(rel="preload", href="img/animation/4_0010.png", as="image")
body
	//- svg
	include svg/_svg-sprites
	//-
	//-----------
	//- START CONTENT
	//-----------
	.root
		include components/NavStart
		include components/StartFirstScreen
	//- /CONTENT
	//-----------
	//- scripts
	include grid/_inc_scripts
	script.
		setTimeout(function() {
			var images = ['4_0000.png', '4_0001.png', '4_0002.png', '4_0003.png', '4_00014.png', '4_0005.png', '4_0006.png', '4_0007.png'],
				index = 0, // starting index
				//maxImages = images.length - 1;
				maxImages = 90 - 1;
			var timer = setInterval(function() {
				var currentImage = images[index], prev;
					index = (index == maxImages) ? 0 : ++index;
					prev = index - 1;
				//console.log(index);
				setTimeout(function() {
					$('#animation picture:eq(' + prev + ')').removeClass('active');
				}, 60);
				$('#animation picture:eq(' + index + ')').addClass('active');
			}, 60);
		}, 2000);
	//- anik.pro
</html>